///////////////////////////////////////// 
// File: pgm.C 
#include "pgm.h" 

CProxy_HelloMain mainProxy; 

HelloMain::HelloMain(CkArgMsg *msg) { 
  delete msg; 
  count = 0; 
  mainProxy=thishandle; 
  CProxy_HelloGroup::ckNew(); // Create a new "HelloGroup" 
} 

void HelloMain::PrintDone(void) { 
  count++; 
  if (count == CkNumPes()) { // Wait for all group members to finish the printf 
    CkExit(); 
  } 
} 

HelloGroup::HelloGroup(void) { 
  ckout  "Hello World from processor "  CkMyPe()  endl; 
  mainProxy.PrintDone(); 
} 

#include "Hello.def.h" // Include the Charm++ object implementations 

